# Uses of Interface
java.lang.constant.ModuleDesc

Packages that use ModuleDesc
Package
Description
java.lang.constant
Classes and interfaces to represent nominal descriptors for run-time entities such as classes or method handles, and classfile entities such as constant pool entries or `invokedynamic` call sites.

## Uses of ModuleDesc in java.lang.constant

Methods in java.lang.constant that return ModuleDesc
Modifier and Type
Method
Description
`static ModuleDesc`
ModuleDesc.`of(String name)`
Returns a `ModuleDesc` for a module, given the name of the module.